/* Shared styles for profile sections (orders, billing) filters and layout */

.profile-filters {
    height: 32px;
}

.custom-dropdown {
    background: transparent;
    border: 2px solid var(--color-font);
    border-radius: 5px;
    padding: 0px 0px 0px 14px;
    font-size: 12px;
    color: var(--color-font);
}

.custom-dropdown:focus {
    border-color: var(--color-pri-active);
    outline: none;
    box-shadow: none;
}

.custom-dropdown option {
    background: var(--color-bg);
    color: var(--color-font);
}

.custom-dropdown.selected {
    color: var(--color-pri-active);
}

.input-wrapper {
    border: 2px solid var(--color-font);
    border-radius: 5px;
    padding: 0 8px;
    font-size: 12px;
    width: 100%;
    float: left;
}

.input-wrapper input,
.input-wrapper select {
    border: none;
    padding-left: 5px;
    height: 28px;
    width: 100%;
    background: transparent;
    font-size: 12px;
}

.input-wrapper .icon {
    color: var(--color-font);
    padding-left: 2px;
    padding-right: 2px;
    width: 15px;
    text-align: center;
}

.input-wrapper.group input {
    width: calc(100% - 22px);
}

.input-wrapper.group.two input {
    width: calc(100% - 44px);
}

/* For desktop, force one line */
@media (min-width: 769px) {
    .filters-container {
        flex-wrap: nowrap;
    }
}